Package org.apache.sysds.runtime.controlprogram.federated.monitoring.repositories

# Class DerbyRepository

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.monitoring.repositories.DerbyRepository

All Implemented Interfaces:
  `IRepository`

public class DerbyRepository extends Object implements IRepository

## Constructor Summary

Constructors
Constructor
Description
`DerbyRepository()`

## Method Summary

Modifier and Type
Method
Description
`<T extends BaseModel>
Long`
`createEntity(T model)`
`<T extends BaseModel>
List<T>`
`getAllEntities(Class<T> type)`
`<T extends BaseModel>
List<T>`
`getAllEntitiesByField(String fieldName, Object value, Class<T> type)`
`<T extends BaseModel>
List<T>`
`getAllEntitiesByField(String fieldName, Object value, Class<T> type, int rowCount)`
`<T extends BaseModel>
T`
`getEntity(Long id, Class<T> type)`
`<T extends BaseModel>
void`
`removeAllEntitiesByField(String fieldName, Object value, Class<T> type)`
`<T extends BaseModel>
void`
`removeEntity(Long id, Class<T> type)`
`<T extends BaseModel>
void`
`updateEntity(T model)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DerbyRepository

public DerbyRepository()

## Method Details

### createEntity

public <T extends BaseModel> Long createEntity(T model)

Specified by:
  `createEntity` in interface `IRepository`

### getEntity

public <T extends BaseModel> T getEntity(Long id, Class<T> type)

Specified by:
  `getEntity` in interface `IRepository`

### getAllEntities

public <T extends BaseModel> List<T> getAllEntities(Class<T> type)

Specified by:
  `getAllEntities` in interface `IRepository`

### getAllEntitiesByField

public <T extends BaseModel> List<T> getAllEntitiesByField(String fieldName, Object value, Class<T> type)

Specified by:
  `getAllEntitiesByField` in interface `IRepository`

### getAllEntitiesByField

public <T extends BaseModel> List<T> getAllEntitiesByField(String fieldName, Object value, Class<T> type, int rowCount)

Specified by:
  `getAllEntitiesByField` in interface `IRepository`

### removeAllEntitiesByField

public <T extends BaseModel> void removeAllEntitiesByField(String fieldName, Object value, Class<T> type)

Specified by:
  `removeAllEntitiesByField` in interface `IRepository`

### updateEntity

public <T extends BaseModel> void updateEntity(T model)

Specified by:
  `updateEntity` in interface `IRepository`

### removeEntity

public <T extends BaseModel> void removeEntity(Long id, Class<T> type)

Specified by:
  `removeEntity` in interface `IRepository`